Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.builder
Class LocalClientMessageProcessorBuilder

    java.lang.Object
      org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
          org.mule.module.cxf.builder.LocalClientMessageProcessorBuilder

All Implemented Interfaces:
  MuleContextAware, MessageProcessorBuilder

    public class LocalClientMessageProcessorBuilder

extends AbstractOutboundMessageProcessorBuilder

This builder uses a service that is already configured to build a CXF client and it's corresponding MessageProcessor. Given the specified `address` property, it will lookup the corresponding inbound MessageProcessor. It will then use this processor's service model to configure a CXF client.

This can be used via CXF meta endpoints. For instance, with MuleClient you can do: `MuleClient client = ... client.send("cxf:http://host/yourService?method=remoteOperation", message);` This will find the remote service, configure the client appropriately, and invoke the remote service.

This only works if the server and client are in the same Mule instance.

See Also:
  `CxfEndpointBuilder`

Field Summary

Fields inherited from class org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
`address, client, configuration, databinding, decoupledEndpoint, defaultMethod, defaultMethodName, enableMuleSoapHeaders, features, inFaultInterceptors, inInterceptors, mtomEnabled, muleContext, operation, outFaultInterceptors, outInterceptors, payloadToArguments, properties, wsdlLocation`

Constructor Summary
`LocalClientMessageProcessorBuilder()`

Method Summary
`protected void` | `configureMessageProcessor(CxfOutboundMessageProcessor processor)`
`protected org.apache.cxf.endpoint.Client` | `createClient()`

Methods inherited from class org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
`addMuleInterceptors, build, configureClient, createClientFromLocalServer, createMessageProcessor, getAddress, getBus, getClient, getConfiguration, getDatabinding, getDecoupledEndpoint, getFeatures, getInFaultInterceptors, getInInterceptors, getOperation, getOutFaultInterceptors, getOutInterceptors, getPayloadToArguments, getProperties, getWsdlLocation, isEnableMuleSoapHeaders, isMtomEnabled, setAddress, setConfiguration, setDatabinding, setDecoupledEndpoint, setEnableMuleSoapHeaders, setFeatures, setInFaultInterceptors, setInInterceptors, setMtomEnabled, setMuleContext, setOperation, setOutFaultInterceptors, setOutInterceptors, setPayloadToArguments, setProperties, setWsdlLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalClientMessageProcessorBuilder

    public LocalClientMessageProcessorBuilder()

Method Detail

### configureMessageProcessor

    protected void configureMessageProcessor(CxfOutboundMessageProcessor processor)

  Overrides:
    `configureMessageProcessor` in class `AbstractOutboundMessageProcessorBuilder`

### createClient

    protected org.apache.cxf.endpoint.Client createClient()
                                                   throws CreateException,
                                                          Exception

  Specified by:
    `createClient` in class `AbstractOutboundMessageProcessorBuilder`
  Throws:
    `CreateException`
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.